FLANG

Public Member Functions | List of all members
Fortran::parser::ContextualMessages Class Reference

## Public Member Functions
| ContextualMessages (CharBlock at, Messages *m)
| ContextualMessages (Messages *m)
| ContextualMessages (const ContextualMessages &that)
CharBlock | at () const
Messages * | messages () const
bool | empty () const
common::Restorer< CharBlock > | SetLocation (CharBlock at)
common::Restorer< Messages * > | SetMessages (Messages &buffer)
common::Restorer< Messages * > | DiscardMessages ()
template<typename... A>
Message * | Say (CharBlock at, A &&... args)
template<typename... A>
Message * | Say (A &&... args)

The documentation for this class was generated from the following file:

- include/flang/Parser/message.h